---
title: RTCOutboundRtpStreamStats.pliCount
slug: Web/API/RTCOutboundRtpStreamStats/pliCount
tags:
  - API
  - Media
  - PLI
  - Property
  - RTCOutboundRtpStreamStats
  - Reference
  - Statistics
  - Stats
  - Video
  - WebRTC
  - WebRTC API
  - pliCount
  - stream
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>pliCount</code></strong> property of the {{domxref("RTCOutboundRtpStreamStats")}} dictionary states the number of times the remote peer's {{domxref("RTCRtpReceiver")}} sent a <strong>Picture Loss Indication</strong> (<strong>PLI</strong>) packet to the {{domxref("RTCRtpSender")}} for which this object provides statistics.</span> A PLI packet indicates that some amount of encoded video data has been lost for one or more frames.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>pliCount</em> = <em>RTCOutboundRtpStreamStats</em>.pliCount;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the number of times a PLI packet was sent to this sender by the remote peer's {{domxref("RTCRtpReceiver")}}. These are sent by the receiver's decoder to notify the sender's encoder that an undefined amount of coded video data, which may span frame boundaries, has been lost.</p>

<div class="notecard note">
<p><strong>Note:</strong> This property is only used for video streams.</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<p>Upon receiving a PLI packet, the sender may have responded by sending a full frame to the remote peer to allow it to re-synchronize with the media. However, the primary purpose of a PLI packet is to allow the <code>RTCRtpSender</code> for which this <code>RTCOutboundRtpStreamStats</code> object provides statistics to consider techniques to mitigate network performance issues. This is often achieved by methods such as increasing the compression or lowering resolution, although the mechanisms available to reduce the bit rate of the stream vary from codec to codec.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-RTCOutboundRtpStreamStats-plicount', 'RTCOutboundRtpStreamStats.pliCount')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCOutboundRtpStreamStats.pliCount")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{RFC(4585, "6.3.1")}}: Definition of "PLI messages" in the document <em>Extended RTP Profile for Real-time Transport Control Protocol (RTCP)-Based Feedback (RTP/AVPF)</em>.</li>
</ul>
